summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2013-10-28 00:21:13 +0100
committer Robby Workman2013-10-28 05:39:06 +0100
commit634efb36072ad3d877df6af06ce594943dd1f181 (patch)
tree888054d905a506eb9ccc182c88c53c90bb0ebe13
parent6cd960587fee2a30250264818df37bc215538124 (diff)
downloadslackbuilds-634efb36072ad3d877df6af06ce594943dd1f181.tar.gz
games/pom1: Added (Apple I emulator)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--games/pom1/README2
-rw-r--r--games/pom1/doinst.sh4
-rw-r--r--games/pom1/pom1.SlackBuild100
-rw-r--r--games/pom1/pom1.info10
-rw-r--r--games/pom1/pom1.pngbin0 -> 24126 bytes
-rw-r--r--games/pom1/slack-desc19
6 files changed, 135 insertions, 0 deletions
diff --git a/games/pom1/README b/games/pom1/README
new file mode 100644
index 0000000000..b6c39ed7ee
--- /dev/null
+++ b/games/pom1/README
@@ -0,0 +1,2 @@
+Pom1 is an Apple 1 emulator ported to C and Android from the original
+Java version. The port to C uses SDL and works on most platforms.
diff --git a/games/pom1/doinst.sh b/games/pom1/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/games/pom1/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/pom1/pom1.SlackBuild b/games/pom1/pom1.SlackBuild
new file mode 100644
index 0000000000..91cea16a71
--- /dev/null
+++ b/games/pom1/pom1.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for pom1
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/
+# for details.
+
+PRGNAM=pom1
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i 's/Emulator;/&System;/' src/$PRGNAM.desktop.in
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mv $PKG/usr/share/icons $PKG/usr/share/pixmaps
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+# Why is there a fricken --docdir option when every configure
+# script ignores it?!
+mv $PKG/usr/share/doc/$PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
+
+# Icon created by Creative Nerds, downloaded from:
+# http://www.iconarchive.com/show/wooden-social-icons-by-creativenerds/apple-icon.html
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# I prefer not to clutter /usr/bin with binaries you're not supposed
+# to actually ever run, so:
+mkdir -p $PKG/usr/libexec
+mv $PKG/usr/bin/$PRGNAM-$VERSION $PKG/usr/libexec
+sed -i "s,^$PRGNAM-$VERSION,/usr/libexec/&," $PKG/usr/bin/$PRGNAM
+
+cp -a COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/pom1/pom1.info b/games/pom1/pom1.info
new file mode 100644
index 0000000000..dd2e3e538a
--- /dev/null
+++ b/games/pom1/pom1.info
@@ -0,0 +1,10 @@
+PRGNAM="pom1"
+VERSION="1.0.0"
+HOMEPAGE="http://pom1.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/pom1/pom1/1.0.0/pom1-1.0.0.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="0446748fcc7c393a8250afd809fa4ba5"
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/pom1/pom1.png b/games/pom1/pom1.png
new file mode 100644
index 0000000000..e2ec02b27c
--- /dev/null
+++ b/games/pom1/pom1.png
Binary files differ
diff --git a/games/pom1/slack-desc b/games/pom1/slack-desc
new file mode 100644
index 0000000000..971897517f
--- /dev/null
+++ b/games/pom1/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pom1: pom1 (Apple I emulator)
+pom1:
+pom1: Pom1 is an Apple 1 emulator ported to C and Android from the original
+pom1: Java version. The port to C uses Simple DirectMedia Layer library
+pom1: and works on most platforms.
+pom1:
+pom1:
+pom1:
+pom1:
+pom1:
+pom1: